Bug 215924 - libsefs statically links and exposes sqlite3
libsefs statically links and exposes sqlite3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
bzcl34nup
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-16 06:31 EST by Joe Orton
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 17:27:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-16 06:31:49 EST
Description of problem:
jorton@jolt:~$ nm -D /usr/lib/libsefs.so.1.3  | grep 'T sqlite3' | wc -l
446

libsefs is statically linking a copy of sqlite3 rather than linking against the
system sqlite3, and exposes the statically linked copy into the global symbol
namespace.

Is there a really really good reason for this, or is it unintentional?
Comment 1 Daniel Walsh 2007-02-14 17:44:15 EST
I do not see this in setools-3.1-2
Comment 2 Bug Zapper 2008-04-03 14:39:03 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.